vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=327186

Upgraded C-Panel from 65 to 78 and forum is no longer working
by kether1
04 Apr 2019 12:31

Hello,

We upgraded our C-panel software from 65 to 78 and now our VB forum running 4.2.3 Patch Level 1 does not work. (We get an "HTTP ERROR 500" when we try to access the site now.) I'm not sure what to do to get things working again. Please help.

Thank you,
Kether

scottkoz20 04 Apr 2019 16:53

what version of PHP? I would check to see that did not change either

kether1 04 Apr 2019 16:55

Hi, thanks for the response. The php version is 5.6.

Any thoughts?

scottkoz20 04 Apr 2019 17:05

sorry - I would need to defer to someone smarter.

:(

iA1 04 Apr 2019 18:41

Error 500 is very general and it is not easy to figure out what went wrong. Check your server logs and maybe you get a hint.

kether1 04 Apr 2019 19:02

Quote:

Originally Posted by scottkoz20 (Post 2598980)
sorry - I would need to defer to someone smarter.

:(

Thank you.

Quote:

Originally Posted by iA1 (Post 2598983)
Error 500 is very general and it is not easy to figure out what went wrong. Check your server logs and maybe you get a hint.

Will do; I'm not certain what happened. All was working well and then we updated C-panel and the site went down and we get the "Error 500" message.

snakes1100 04 Apr 2019 20:41

It most likely wont show an error, but turn on display_errors in php.ini

/opt/cpanel/ea-php56/root/etc/php.ini

sh*t your running LS, do a "locate php.ini" look for LS's php.ini as it uses a different one, dont have a LS server in front of me to chk where it is.

log_errors to syslog

Restart lightspeed

Refresh the site.

Run this cmd from ssh & see if it spits out an error when you refresh
tail -f /var/log/messages

tail -f /var/log/apache2/error_log

tail -f /var/log/apache2/domlogs/domain.com

kether1 04 Apr 2019 22:41

Quote:

Originally Posted by snakes1100 (Post 2598988)
It most likely wont show an error, but turn on display_errors in php.ini

/opt/cpanel/ea-php56/root/etc/php.ini

sh*t your running LS, do a "locate php.ini" look for LS's php.ini as it uses a different one, dont have a LS server in front of me to chk where it is.

log_errors to syslog

Restart lightspeed

Refresh the site.

Run this cmd from ssh & see if it spits out an error when you refresh
tail -f /var/log/messages

tail -f /var/log/apache2/error_log

tail -f /var/log/apache2/domlogs/domain.com

Thank you. I am on apache. I did what you suggested and found the error was caused because c-panel removed memcache and turned off ini_set. Once I commented memcache out in the config file and re-enabled ini_set, all is back on and working correctly. I sincerely appreciate your help.

Kind regards,
Kether

snakes1100 05 Apr 2019 08:13

welcome


All times are GMT. The time now is 03:43.

Powered by vBulletin® Version 3.8.12
Copyright © 2019, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.